<?xml version="1.0" encoding="utf-8"?>
<Roots >
  <Roots.RootTypes>
    <RootType FullName="Windows.UI.Xaml.Application">
      <RootProperty Name="RequestedTheme" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Controls.Page">
      <RootProperty Name="Content" />
      <RootEvent Name="Loaded" />
      <RootEvent Name="Unloaded" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Controls.Grid">
      <RootProperty Name="Background" />
      <RootProperty Name="ColumnDefinitions" />
      <RootProperty Name="RowDefinitions" />
      <RootProperty Name="Children" />
      <RootMethod Name="GetRow" />
      <RootMethod Name="SetRow" />
      <RootMethod Name="GetColumn" />
      <RootMethod Name="SetColumn" />
      <RootMethod Name="GetColumnSpan" />
      <RootMethod Name="SetColumnSpan" />
    </RootType>
    <RootType FullName="Microsoft.Xaml.DirectUI.ProxyTypes.ThemeResourceExtension" />
    <RootType FullName="Windows.UI.Xaml.Controls.ColumnDefinition">
      <RootProperty Name="Width" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Controls.RowDefinition">
      <RootProperty Name="Height" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Controls.TextBlock">
      <RootProperty Name="HorizontalAlignment" />
      <RootProperty Name="VerticalAlignment" />
      <RootProperty Name="Text" />
      <RootProperty Name="Margin" />
      <RootProperty Name="FontSize" />
      <RootProperty Name="TextWrapping" />
      <RootProperty Name="TextAlignment" />
      <RootProperty Name="Name" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Controls.ComboBox">
      <RootProperty Name="Name" />
      <RootProperty Name="HorizontalAlignment" />
      <RootProperty Name="VerticalAlignment" />
      <RootProperty Name="Margin" />
      <RootEvent Name="SelectionChanged" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Controls.Button">
      <RootProperty Name="Name" />
      <RootProperty Name="HorizontalAlignment" />
      <RootProperty Name="VerticalAlignment" />
      <RootProperty Name="Content" />
      <RootProperty Name="Margin" />
      <RootProperty Name="IsEnabled" />
      <RootEvent Name="Click" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Controls.TextBox">
      <RootProperty Name="Name" />
      <RootProperty Name="HorizontalAlignment" />
      <RootProperty Name="VerticalAlignment" />
      <RootProperty Name="Margin" />
      <RootProperty Name="Height" />
      <RootProperty Name="TextAlignment" />
      <RootProperty Name="FontSize" />
      <RootProperty Name="TextWrapping" />
      <RootProperty Name="MaxLength" />
      <RootProperty Name="IsReadOnly" />
      <RootProperty Name="Background" />
    </RootType>
    <RootType FullName="Windows.UI.Xaml.Controls.Border">
      <RootProperty Name="Name" />
      <RootProperty Name="HorizontalAlignment" />
      <RootProperty Name="VerticalAlignment" />
      <RootProperty Name="Height" />
      <RootProperty Name="Width" />
      <RootProperty Name="Margin" />
      <RootProperty Name="Background" />
    </RootType>
    <RootType FullName="SpcSample_UWP.MainPage" />
  </Roots.RootTypes>
</Roots>
